Ticket #44016

installer_build.sh: Not checking if "Output" directory creating succeeded

Open Date: 2022-03-03 17:36 Last Update: 2022-04-04 09:18

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

installer_cross scripts are generally pedantic about checking that the operations they attempt also success. One exception is that installer_build.sh creates Output directory, but proceeds without checking if it succeeded. Presumably this can only lead to failure when nsis tries to write the installer to the directory.

Ticket History (3/5 Histories)

2022-03-03 17:36 Updated by: cazfi
  • New Ticket "installer_build.sh: Not checking if "Output" directory creating succeeded" created
2022-03-18 04:18 Updated by: cazfi
2022-03-23 09:10 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-04-04 09:18 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login